'use strict';

var _ = require('lodash');

/**
 * take a default value and replace if not present
 * @param  {[type]} key          [description]
 * @param  {[type]} entries      [description]
 * @param  {[type]} defaultValue [description]
 * @return {[type]}              [description]
 */
module.exports.defaultValue = function(key, entries, defaultValue) {
    if (_.findIndex(entries, function(entrie) {
            return entrie.name === key;
        }) === -1) {
        entries.push({
            name: key,
            content: defaultValue
        });
    }
};
